Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

dev-haskell/gloss: allow opengl-2.8

Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
  • Loading branch information...
commit 3aedb64ba44bc97f2caeaf6b619f91d52894b561 1 parent 18db3f8
@trofi trofi authored
View
10 dev-haskell/gloss/gloss-1.7.8.2.ebuild → dev-haskell/gloss/gloss-1.7.8.2-r1.ebuild
@@ -19,8 +19,8 @@ KEYWORDS="~amd64 ~x86"
IUSE="explicitbackend glfw +glut"
RDEPEND="=dev-haskell/bmp-1.2*:=[profile?]
- =dev-haskell/glut-2.3*:=[profile?]
- =dev-haskell/opengl-2.6*:=[profile?]
+ >=dev-haskell/glut-2.3:=[profile?] <dev-haskell/glut-2.5:=[profile?]
+ >=dev-haskell/opengl-2.6:=[profile?] <dev-haskell/opengl-2.9:=[profile?]
>=dev-lang/ghc-7.6.1:=
glfw? ( <dev-haskell/glfw-b-0.2:=[profile?]
>=dev-haskell/glfw-b-0.1.0.1:=[profile?]
@@ -28,6 +28,12 @@ RDEPEND="=dev-haskell/bmp-1.2*:=[profile?]
DEPEND="${RDEPEND}
>=dev-haskell/cabal-1.6"
+src_prepare() {
+ cabal_chdeps \
+ 'OpenGL == 2.6.*' 'OpenGL >= 2.6 && < 2.9' \
+ 'GLUT == 2.3.*' 'GLUT >= 2.3 && < 2.5'
+}
+
src_configure() {
haskell-cabal_src_configure \
$(cabal_flag glut glut) \
Please sign in to comment.
Something went wrong with that request. Please try again.